Incoming SMS
Inbound SMS messages received on your tracking numbers, linked to the lead, schedule, and number that received them.
GET /incoming_text_messages
Authorization Requiredhttps://[your-subdomain].trackdrive.com/api/v1/incoming_text_messages
List Incoming Text Message records.
Lists incoming SMS messages received on your tracking numbers. Requires the text_messages permission.
Params
| Param name | Description |
|---|---|
|
ids Optional |
Return records matching these ids.
|
|
page Optional |
Return the next page of results.
|
|
per_page Optional |
How many results to return per page. The default is 25.
|
|
created_at_to Optional |
Date formatted like 2016-01-01 12:25:15 -0500
|
|
created_at_from Optional |
Date formatted like 2016-01-01 12:25:15 -0500
|
|
fulltext Optional |
Search for any record that matches this text
|
|
time_zone Optional |
Date ranges will be parsed using this time zone.
|
|
columns Optional |
Specify the columns you would like returned by the API for a given resource.
Limiting the columns can significantly increase API response time since only the requested data will be processed.
columns=uuid,number,created_at
Must be any combination of:
|
|
root Optional |
Pass
|
GET /incoming_text_messages/:id
Authorization Requiredhttps://[your-subdomain].trackdrive.com/api/v1/incoming_text_messages/:id
Get Incoming Text Message by id.
Gets a single incoming text message's details by id. Requires the text_messages permission.